project (WBST_function_optimizer)

cmake_minimum_required(VERSION 2.6)


FIND_PACKAGE(Boost COMPONENTS date_time filesystem thread program_options)
FIND_PACKAGE(Shark)

IF(SHARK_FOUND)
include_directories (${Matrices_SOURCE_DIR})
link_directories(${Matrices_BINARY_DIR})

include_directories(${Boost_INCLUDE_DIR})


add_executable(wbstOptimizer main.cpp config.cpp wbst_optimizer.cpp nfold.cpp)

target_link_libraries(wbstOptimizer ${Boost_LIBRARIES})


target_link_libraries(wbstOptimizer shark matrices)
ENDIF(SHARK_FOUND)
